Subject: Re: Errors from http-fetch

From: Nick Hengeveld <[email-masked]>
Date: Wed, 19 Oct 2005 14:26:44 -0700

On Wed, Oct 19, 2005 at 03:46:10PM -0400, Daniel Barkalow wrote:

> I've now started getting errors from http-fetch; my guess for the output 
> is that it has problems if an object is not available loose, and is only 
> available in a pack file which is already being downloaded for a different 
> object, possibly only if the first request to be made for the loose 
> object is not the first one to fail.

Are you getting a curl return code of 52/CURLE_GOT_NOTHING?  Any chance
you have access to the associated server logs?

In the situation you describe, fetch() won't be called for the second
object until fetch() for the first object is finished - at which point
the pack will have been fully downloaded for the first object (or
failed, causing fetch() for the first object to fail as well.)

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.